<template>
  <div class="quiz-survey-type">
    <!-- Type Quiz -->
    <div class="row type-game pt-5" v-if="typeGame === 'quiz'">
      <div class="col col-12 col-lg-3">
        <p class="fw-bold title-text">Choose quiz type</p>
      </div>
      <div class="col col-6 col-lg-3 skiptranslate">
        <div class="form-check d-flex align-items-center">
          <input
            class="form-check-input me-3"
            type="radio"
            name="type-game"
            id="type-game-1"
            value="quiz-1"
            checked
            @change="changeType($event)"
          />
          <label class="form-check-label d-flex" for="type-game-1">
            <div class="bg-warning rounded fw-bolder d-flex align-items-center justify-content-center text-light me-3">
              X
            </div>
            <div class="bg-primary rounded fw-bolder d-flex align-items-center justify-content-center text-light">
              O
            </div>
          </label>
        </div>
      </div>
      <!-- <div class="col col-6 col-lg-3 order-lg-last">
        <div class="form-check d-flex align-items-center">
          <input class="form-check-input me-3" type="radio" name="type-game" id="type-game-3" />
          <label class="form-check-label fst-italic ps-3 pe-5 py-2 rounded fw-bold text-light" for="type-game-3">
            fill in
          </label>
        </div>
      </div> -->
      <div class="col col-12 col-lg-3 mt-3 mt-lg-0">
        <div class="form-check d-flex align-items-center">
          <input
            class="form-check-input me-3"
            type="radio"
            name="type-game"
            id="type-game-2"
            value="quiz-2"
            @change="changeType($event)"
          />
          <label class="form-check-label d-flex" for="type-game-2">
            <div class="rounded fw-bolder d-flex align-items-center justify-content-center text-light me-3">1</div>
            <div class="bg-danger rounded fw-bolder d-flex align-items-center justify-content-center text-light me-3">
              2
            </div>
            <div class="rounded fw-bolder d-flex align-items-center justify-content-center text-light me-3">3</div>
            <div class="rounded fw-bolder d-flex align-items-center justify-content-center text-light">4</div>
          </label>
        </div>
      </div>
    </div>
    <!-- End Type Quiz -->

    <!-- Type Survey -->
    <div class="row type-game pt-5 type-game-survey" v-else>
      <div class="col col-12 col-lg-3">
        <p class="fw-bold title-text">Choose survey type</p>
      </div>
      <div class="col col-6 col-lg-2" v-for="item in 3" :key="item">
        <div class="form-check d-flex align-items-center">
          <input
            class="form-check-input me-3"
            type="radio"
            :name="`type-game${idProp}`"
            :id="`type-game-${item}${idProp}`"
            :value="`survey-${item}`"
            :checked="item === 1"
            @change="changeType($event)"
          />
          <label class="form-check-label fw-bolder" :for="`type-game-${item}${idProp}`">{{ item }}</label>
        </div>
      </div>
    </div>
    <!-- End Type Survey -->
  </div>
</template>

<script>
export default {
  props: {
    idProp: Number,
    typeGame: String
  },
  methods: {
    changeType(e) {
      console.log("runnnn", e.target.value);
      this.$emit("change-type-answer", e.target.value);
    }
  }
};
</script>

<style scoped>
.quiz-survey-type > .row {
  width: 100%;
  margin-left: 0;
}
.type-game-survey label {
  font-size: 1.5rem;
  background: transparent !important;
}
.type-game label > div {
  height: 38px;
  width: 38px;
}
.type-game .title-text {
  font-size: 22px;
}
.type-game label[for="type-game-2"] div,
.type-game label[for="type-game-3"] {
  background: #bbb;
}
</style>
